org.apache.lucene.benchmark.quality.utils

## Class SubmissionReport

- java.lang.Object
- - org.apache.lucene.benchmark.quality.utils.SubmissionReport

-     public class SubmissionReport
      extends Object

  Create a log ready for submission. Extend this class and override `report(QualityQuery, TopDocs, String, IndexSearcher)` to create different reports.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubmissionReport(PrintWriter logger, String name)` Constructor for SubmissionReport.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()`
    `void` | `report(QualityQuery qq, TopDocs td, String docNameField, IndexSearcher searcher)` Report a search result for a certain quality query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubmissionReport

          public SubmissionReport(PrintWriter logger,
                          String name)

      Constructor for SubmissionReport.
      Parameters:
        `logger` - if null, no submission data is created.
        `name` - name of this run.

  - ### Method Detail

    - #### report

          public void report(QualityQuery qq,
                    TopDocs td,
                    String docNameField,
                    IndexSearcher searcher)
                      throws IOException

      Report a search result for a certain quality query.
      Parameters:
        `qq` - quality query for which the results are reported.
        `td` - search results for the query.
        `docNameField` - stored field used for fetching the result doc name.
        `searcher` - index access for fetching doc name.
      Throws:
        `IOException` - in case of a problem.

    - #### flush

          public void flush()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.